classification
Title: document the new behavior of get_event_loop() in Python 3.6
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, miss-islington, yselivanov
Priority: normal Keywords: patch

Created on 2017-07-15 02:03 by chris.jerdonek, last changed 2018-05-29 22:50 by yselivanov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2731 merged daxlab, 2017-07-16 07:49
PR 7213 merged miss-islington, 2018-05-29 18:38
PR 7214 merged miss-islington, 2018-05-29 18:39
Messages (4)
msg298380 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2017-07-15 02:03
Currently, the Python asyncio.get_event_loop() docs don't say that get_event_loop() returns the currently running event loop when it is called from a coroutine:

https://docs.python.org/3/library/asyncio-eventloops.html#asyncio.get_event_loop
https://docs.python.org/3/library/asyncio-eventloops.html#asyncio.AbstractEventLoopPolicy.get_event_loop

This is new behavior that was introduced in Python 3.6 in this issue:
https://github.com/python/asyncio/pull/452

Without this, the docs make it seem like get_event_loop() should return the loop that was last passed to set_event_loop().

This could be added with a "Changed in version 3.6" note.
msg318067 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-29 18:37
New changeset e55de2d77f10d524be0b426e587fbc820f76de71 by Yury Selivanov (Mandeep Singh) in branch 'master':
bpo-30935: update get_event_loop docs (GH-2731)
https://github.com/python/cpython/commit/e55de2d77f10d524be0b426e587fbc820f76de71
msg318073 - (view) Author: miss-islington (miss-islington) Date: 2018-05-29 19:29
New changeset ca64f3ee5acf61e096eb1bb9fba3baeff0610de4 by Miss Islington (bot) in branch '3.7':
bpo-30935: update get_event_loop docs (GH-2731)
https://github.com/python/cpython/commit/ca64f3ee5acf61e096eb1bb9fba3baeff0610de4
msg318074 - (view) Author: miss-islington (miss-islington) Date: 2018-05-29 19:33
New changeset 51bf38f796c74c7dac5a3d09ad0004494470091c by Miss Islington (bot) in branch '3.6':
bpo-30935: update get_event_loop docs (GH-2731)
https://github.com/python/cpython/commit/51bf38f796c74c7dac5a3d09ad0004494470091c
History
Date User Action Args
2018-05-29 22:50:47yselivanovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-29 19:33:31miss-islingtonsetmessages: + msg318074
2018-05-29 19:29:00miss-islingtonsetnosy: + miss-islington
messages: + msg318073
2018-05-29 18:39:19miss-islingtonsetpull_requests: + pull_request6846
2018-05-29 18:38:28miss-islingtonsetkeywords: + patch
pull_requests: + pull_request6845
2018-05-29 18:37:11yselivanovsetmessages: + msg318067
2018-02-22 23:21:44cheryl.sabellasettype: enhancement
stage: needs patch -> patch review
2017-07-16 07:49:04daxlabsetpull_requests: + pull_request2791
2017-07-15 04:45:55Mariattasetstage: needs patch
versions: + Python 3.7
2017-07-15 02:11:44chris.jerdoneksetnosy: + yselivanov
components: + asyncio
2017-07-15 02:10:34chris.jerdoneksettitle: document the new behavior of get_event_loop() Python 3.6 -> document the new behavior of get_event_loop() in Python 3.6
2017-07-15 02:03:41chris.jerdonekcreate